com.h3c.of.lib.mp

## Class MBodyMutableGroupDescStats

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.mp.MBodyGroupDescStats
    - - com.h3c.of.lib.mp.MBodyMutableGroupDescStats

- All Implemented Interfaces:
    MultipartBody, MutableObject, MutableStructure, Structure

      public class MBodyMutableGroupDescStats
      extends MBodyGroupDescStats
      implements MutableStructure

  Mutable subclass of `MBodyGroupDescStats`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.h3c.of.lib.mp.MBodyGroupDescStats

      `MBodyGroupDescStats.Array, MBodyGroupDescStats.MutableArray`

  - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBodyMutableGroupDescStats(ProtocolVersion pv)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MBodyMutableGroupDescStats` | `buckets(List<Bucket> bkts)` Sets the buckets for this group; Since 1.1.
    `MBodyMutableGroupDescStats` | `groupId(GroupId groupId)` Sets the group ID; Since 1.1.
    `MBodyMutableGroupDescStats` | `groupType(GroupType groupType)` Sets the group Type; Since 1.1.
    `OpenflowStructure` | `toImmutable()` Returns an immutable instance of this structure.
    `String` | `toString()`
    `boolean` | `writable()` Returns true if this mutable object is still writable.

    - ### Methods inherited from class com.h3c.of.lib.mp.MBodyGroupDescStats

      `getBuckets, getGroupId, getTotalLength, getType, toDebugString, toDebugString, validate`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion, toDebugString`

- - ### Constructor Detail

    - #### MBodyMutableGroupDescStats

          public MBodyMutableGroupDescStats(ProtocolVersion pv)

  - ### Method Detail

    - #### writable

          public boolean writable()

      Description copied from interface: `MutableObject`
      Returns true if this mutable object is still writable. That is, the `#toImmutable()` method (defined on a sub-interface) has not yet been invoked.
      Specified by:
        `writable` in interface `MutableObject`
      Returns:
        true if this mutable object is still writable

    - #### toImmutable

          public OpenflowStructure toImmutable()

      Description copied from interface: `MutableStructure`
      Returns an immutable instance of this structure. In essence, converts this structure to be read-only.

      It is expected that the reference to this mutable structure will be dropped. Note that all method calls invoked on a `MutableStructure` after `toImmutable()` has been invoked will result in an `InvalidMutableException` being thrown.

      Specified by:
        `toImmutable` in interface `MutableStructure`
      Returns:
        an immutable instance of this structure.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `MBodyGroupDescStats`

    - #### groupId

          public MBodyMutableGroupDescStats groupId(GroupId groupId)

      Sets the group ID; Since 1.1.
      Parameters:
        `groupId` - the group ID
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `NullPointerException` - if groupId is null

    - #### groupType

          public MBodyMutableGroupDescStats groupType(GroupType groupType)

      Sets the group Type; Since 1.1.
      Parameters:
        `groupType` - the group type
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `NullPointerException` - if groupType is null

    - #### buckets

          public MBodyMutableGroupDescStats buckets(List<Bucket> bkts)

      Sets the buckets for this group; Since 1.1.
      Parameters:
        `bkts` - the number of buckets
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable

Copyright © 2014. All Rights Reserved.